Bug 1418808 - ristretto 0.8.2 released
Summary: ristretto 0.8.2 released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ristretto
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 18:58 UTC by Raphael Groner
Modified: 2017-02-20 18:52 UTC (History)
3 users (show)

Fixed In Version: ristretto-0.8.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 18:52:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2017-02-02 18:58:19 UTC
Date: Wed, 01 Feb 2017 13:12:40 +0100
From: Igor <f2404@yandex.ru>
To: xfce-announce@xfce.org
Subject: ANNOUNCE: ristretto 0.8.2 released
Message-ID: <5891d0b889034_344912410d42087d@tibeti.mail>
Content-Type: text/plain; charset=UTF-8

ristretto 0.8.2 is now available for download from
  
  http://archive.xfce.org/src/apps/ristretto/0.8/ristretto-0.8.2.tar.bz2
  http://archive.xfce.org/src/apps/ristretto/0.8/ristretto-0.8.2.tar.bz2.md5
  http://archive.xfce.org/src/apps/ristretto/0.8/ristretto-0.8.2.tar.bz2.sha1
  http://archive.xfce.org/src/apps/ristretto/0.8/ristretto-0.8.2.tar.bz2.sha256


What is ristretto?
==================

Ristretto is an image-viewer for the xfce desktop environment.

Website: 
  http://goodies.xfce.org/projects/applications/ristretto


Release notes for 0.8.2
=======================
0.8.2
=====
- Implement sorting by file type (Bug #12749)
- Detect image type by its mime type instead of file extension
  (ligmagic is used) (Bugs #11680, 12499)
- Allow images to be flipped vertically and horizontally (Bug #13313)
- Fix memory leaks

* Translation updates:
  Catalan (ca), Czech (cs), Danish (da), Deutsch (de), English
(Australia) (en_AU), Spanish (es), French (fr), Hebrew (he), Croatian
(hr), Italian (it), Japanese (ja), Kazakh (kk), Korean (ko), Lithuanian
(lt), Malay (ms), Norwegian Bokmal (nb), Polish (pl), Portuguese (pt),
Portuguese (Brazilian) (pt_BR), Russian (ru), Slovak (sk), Swedish (sv),
Ukrainian (uk), Chinese (China) (zh_CN), Chinese (Taiwan) (zh_TW).

Comment 1 Mukundan Ragavan 2017-02-02 22:27:18 UTC
Kevin built it for F26.

I will test it and build for F25 and f24.

Comment 2 Fedora Update System 2017-02-11 12:33:40 UTC
ristretto-0.8.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2deffbd15

Comment 3 Raphael Groner 2017-02-11 19:05:05 UTC
##### SRPMs #####
ristretto.src: I: enchant-dictionary-not-found de
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

##### RPMs  #####
ristretto.armv7hl: I: enchant-dictionary-not-found de
ristretto.armv7hl: E: zero-length /usr/share/doc/ristretto/README
ristretto.armv7hl: W: no-manual-page-for-binary ristretto
ristretto.i686: E: zero-length /usr/share/doc/ristretto/README
ristretto.i686: W: no-manual-page-for-binary ristretto
ristretto.x86_64: E: zero-length /usr/share/doc/ristretto/README
ristretto.x86_64: W: no-manual-page-for-binary ristretto
3 packages and 0 specfiles checked; 3 errors, 3 warnings.

rpmlint FAILED for ristretto-0.8.2-2.fc25 (3 errors, 3 warnings)

Please fix at least the zero-length error. Or better: Ask upstream to add an useful README with some content.

https://taskotron.fedoraproject.org/artifacts/all/4d4b0cc8-f055-11e6-8b1a-5254008e42f6/task_output/ristretto-0.8.2-2.fc25.log

Comment 4 Kevin Fenzi 2017-02-11 22:20:27 UTC
Fixed in rawhide. I see no reason to push to anything else...

Comment 5 Fedora Update System 2017-02-12 16:20:37 UTC
ristretto-0.8.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2deffbd15

Comment 6 Fedora Update System 2017-02-20 18:52:18 UTC
ristretto-0.8.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.